// Post-processing adding Laplace on top of the image

#version 150

in vec2 outTexCoord;
uniform sampler2D texUnit;
out vec4 out_Color;

void main(void)
{
    vec4 c1 = texture(texUnit, outTexCoord);
    vec4 c2u = texture(texUnit, outTexCoord - vec2(0, 1.0/800));
    vec4 c2d = texture(texUnit, outTexCoord + vec2(0, 1.0/800));
    vec4 c2l = texture(texUnit, outTexCoord - vec2(1.0/800, 0));
    vec4 c2r = texture(texUnit, outTexCoord + vec2(1.0/800, 0));
    vec4 sum = c1*4-c2u-c2d-c2l-c2r;
    out_Color = c1 + sum*3;
}
